Skip to main content
GET
Get Blacklist Logs

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer

Page number.

Example:

1

perPage
integer

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

orderColumn
enum<string>
Available options:
id,
value,
decision,
rule_id,
rule_type,
invoice_id,
created_at
Example:

null

orderDirection
enum<string>
Available options:
asc,
desc
Example:

null

id
integer

Filter by log ID.

Example:

null

value
string

Filter by matched value.

Example:

null

decision
enum<string>
Available options:
allow,
block
Example:

null

rule_type
enum<string>
Available options:
blacklist,
whitelist
Example:

null

rule_id
integer

Filter by rule ID.

Example:

null

created_at_start
string

Must be a valid date.

Example:

null

created_at_end
string

Must be a valid date. Must be a date after or equal to created_at_start.

Example:

null

Response

200 - application/json
current_page
integer
Example:

1

data
object[]
Example:
first_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/blacklist-logs?page=1"

from
integer
Example:

1

last_page
integer
Example:

1

last_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/blacklist-logs?page=1"

Example:
next_page_url
string
Example:

null

path
string
Example:

"http://api.sellauth.test/v1/shops/1/blacklist-logs"

per_page
integer
Example:

20

prev_page_url
string
Example:

null

to
integer
Example:

1

total
integer
Example:

1